Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::TLS::Encrypt_then_MAC Class Referencefinal

`#include <tls_extensions.h>`

Inheritance diagram for Botan::TLS::Encrypt_then_MAC:

## Public Member Functions
bool | empty () const override
| Encrypt_then_MAC ()=default
| Encrypt_then_MAC (TLS_Data_Reader &reader, uint16_t extension_size)
std::vector< uint8_t > | serialize () const override
Handshake_Extension_Type | type () const override

## Static Public Member Functions
static Handshake_Extension_Type | static_type ()

## Detailed Description

Encrypt-then-MAC Extension (RFC 7366)

Definition at line 380 of file tls_extensions.h.

## Constructor & Destructor Documentation

Botan::TLS::Encrypt_then_MAC::Encrypt_then_MAC | ( |  | ) |
| default

Botan::TLS::Encrypt_then_MAC::Encrypt_then_MAC | ( | TLS_Data_Reader & | reader,
|  | uint16_t | extension_size
| ) |  |

Definition at line 608 of file tls_extensions.cpp.

610 {
611 if(extension_size != 0)
612 throw Decoding_Error("Invalid encrypt_then_mac extension");
613 }

## Member Function Documentation

bool Botan::TLS::Encrypt_then_MAC::empty | ( |  | ) | const
| inline override virtual

Returns
  if we should encode this extension or not

Implements Botan::TLS::Extension.

Definition at line 390 of file tls_extensions.h.

390 { return false; }

std::vector< uint8_t > Botan::TLS::Encrypt_then_MAC::serialize | ( |  | ) | const
| override virtual

Returns
  serialized binary for the extension

Implements Botan::TLS::Extension.

Definition at line 615 of file tls_extensions.cpp.

616 {
617 return std::vector<uint8_t>();
618 }

static Handshake_Extension_Type Botan::TLS::Encrypt_then_MAC::static_type | ( |  | ) |
| inline static

Definition at line 383 of file tls_extensions.h.

References Botan::TLS::TLSEXT_ENCRYPT_THEN_MAC.

Referenced by type().

384 { return TLSEXT_ENCRYPT_THEN_MAC; }
Botan::TLS::TLSEXT_ENCRYPT_THEN_MAC
Definition: tls_extensions.h:39

Handshake_Extension_Type Botan::TLS::Encrypt_then_MAC::type | ( |  | ) | const
| inline override virtual

Returns
  code number of the extension

Implements Botan::TLS::Extension.

Definition at line 386 of file tls_extensions.h.

References static_type().

386 { return static_type(); }
Botan::TLS::Encrypt_then_MAC::static_type
static Handshake_Extension_Type static_type()
Definition: tls_extensions.h:383

The documentation for this class was generated from the following files:

- src/lib/tls/tls_extensions.h
- src/lib/tls/tls_extensions.cpp